# Enum TGetCrossReferenceReq._Fields

java.lang.Object
java.lang.Enum<TGetCrossReferenceReq._Fields>
com.databricks.jdbc.model.client.thrift.generated.TGetCrossReferenceReq._Fields

All Implemented Interfaces:
  `Serializable`, `Comparable<TGetCrossReferenceReq._Fields>`, `java.lang.constant.Constable`, `org.apache.thrift.TFieldIdEnum`

Enclosing class:
  `TGetCrossReferenceReq`

public static enum TGetCrossReferenceReq._Fields extends Enum<TGetCrossReferenceReq._Fields> implements org.apache.thrift.TFieldIdEnum
The set of fields this struct contains, along with convenience methods for finding and manipulating them.

## Nested Class Summary

### Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`FOREIGN_CATALOG_NAME`
`FOREIGN_SCHEMA_NAME`
`FOREIGN_TABLE_NAME`
`GET_DIRECT_RESULTS`
`PARENT_CATALOG_NAME`
`PARENT_SCHEMA_NAME`
`PARENT_TABLE_NAME`
`RUN_ASYNC`
`SESSION_HANDLE`

## Method Summary

Modifier and Type
Method
Description
`static TGetCrossReferenceReq._Fields`
`findByName(String name)`
Find the _Fields constant that matches name, or null if its not found.
`static TGetCrossReferenceReq._Fields`
`findByThriftId(int fieldId)`
Find the _Fields constant that matches fieldId, or null if its not found.
`static TGetCrossReferenceReq._Fields`
`findByThriftIdOrThrow(int fieldId)`
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.
`String`
`getFieldName()`
`short`
`getThriftFieldId()`
`static TGetCrossReferenceReq._Fields`
`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static TGetCrossReferenceReq._Fields[]`
`values()`
Returns an array containing the constants of this enum type, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### SESSION_HANDLE

public static final TGetCrossReferenceReq._Fields SESSION_HANDLE

### PARENT_CATALOG_NAME

public static final TGetCrossReferenceReq._Fields PARENT_CATALOG_NAME

### PARENT_SCHEMA_NAME

public static final TGetCrossReferenceReq._Fields PARENT_SCHEMA_NAME

### PARENT_TABLE_NAME

public static final TGetCrossReferenceReq._Fields PARENT_TABLE_NAME

### FOREIGN_CATALOG_NAME

public static final TGetCrossReferenceReq._Fields FOREIGN_CATALOG_NAME

### FOREIGN_SCHEMA_NAME

public static final TGetCrossReferenceReq._Fields FOREIGN_SCHEMA_NAME

### FOREIGN_TABLE_NAME

public static final TGetCrossReferenceReq._Fields FOREIGN_TABLE_NAME

### GET_DIRECT_RESULTS

public static final TGetCrossReferenceReq._Fields GET_DIRECT_RESULTS

### RUN_ASYNC

public static final TGetCrossReferenceReq._Fields RUN_ASYNC

## Method Details

### values

public static TGetCrossReferenceReq._Fields[] values()
Returns an array containing the constants of this enum type, in the order they are declared.

Returns:
  an array containing the constants of this enum type, in the order they are declared

### valueOf

public static TGetCrossReferenceReq._Fields valueOf(String name)
Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum type has no constant with the specified name
  `NullPointerException` - if the argument is null

### findByThriftId

public static TGetCrossReferenceReq._Fields findByThriftId(int fieldId)
Find the _Fields constant that matches fieldId, or null if its not found.

### findByThriftIdOrThrow

public static TGetCrossReferenceReq._Fields findByThriftIdOrThrow(int fieldId)
Find the _Fields constant that matches fieldId, throwing an exception if it is not found.

### findByName

public static TGetCrossReferenceReq._Fields findByName(String name)
Find the _Fields constant that matches name, or null if its not found.

### getThriftFieldId

public short getThriftFieldId()

Specified by:
  `getThriftFieldId` in interface `org.apache.thrift.TFieldIdEnum`

### getFieldName

public String getFieldName()

Specified by:
  `getFieldName` in interface `org.apache.thrift.TFieldIdEnum`